%define version	0.3.3

%define chewing_version	        0.3.2
%define scim_version		1.4.5

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-chewing
Summary:	SCIM IMEngine module for chewing
Epoch:		1
Version:	%{version}
Release:	%mkrel 5
Group:		System/Internationalization
License:	GPL2+
URL:		http://chewing.csie.net/
Source0:	http://chewing.csie.net/download/scim/%name-%version.tar.bz2
Patch0:		scim-chewing-0.3.2-fix-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	libchewing >= 1:%{chewing_version}
Requires:	scim-client = %scim_api
BuildRequires:  libchewing-devel >= %{chewing_version}
BuildRequires:  scim-devel >= %{scim_version}
BuildRequires:  intltool gettext-devel
# compatibility
Obsoletes:	%mklibname %{name} 0

%description
Scim-chewing is an SCIM IMEngine module for chewing,
an intelligent Chinese phonetic input method.

%prep
%setup -q -n %name-%version
%patch0 -p0 -b .linkage

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so


%changelog
* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.3.3-5mdv2010.1
+ Revision: 523980
- rebuilt for 2010.1

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1:0.3.3-4mdv2009.1
+ Revision: 339985
- reconf is not needed

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1:0.3.3-3mdv2009.1
+ Revision: 339969
- BR libtool
- fix scim requires

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 1:0.3.3-2mdv2009.1
+ Revision: 335444
- rervert to our own libtool
- new version 0.3.3

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1:0.3.2-1mdv2009.1
+ Revision: 292216
- New version 0.3.2

* Wed Jun 18 2008 Funda Wang <fwang@mandriva.org> 0.3.191-2.830.1mdv2009.0
+ Revision: 225169
- BR gettext-devel
- New svn snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 0.3.191-2mdv2008.1
+ Revision: 134672
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1mdv2008.1-current
+ Revision: 127006
- kill re-definition of %%buildroot on Pixel's request


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.191-1mdv2007.0
+ Revision: 106852
- add buildrequire on intltool
- Import scim-chewing

* Mon Dec 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.191-1mdv2007.1
- new release

* Fri Aug 18 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-1mdv2007.0
- new release

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-1mdv2007.0
- new release

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.1-3mdk
- rebuild for sparc

* Thu Aug 25 2005 Abel Cheung <deaddog@mandriva.org> 0.2.1-2mdk
- Merge everything back to one package, the "libraries" are plugins

* Tue Aug 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-1mdk
- new release from You-Cheng Hsieh <yochenhsieh@xuite.net>
	- 0.2.1
		- Zuin output looks much pretty
		- Add options to specify Chinese/English mode 
			trigger key
		- Support new function in libchewing 0.2.7 to 
			decide if perform old style of space key
		- Handle key mask to make working under SCIM 1.2.1
		- Fix CtrlNum failure

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Mar 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-2mdk
- rebuild with scim-1.1.3
- make libscim-chewing0
- spec cleanup

* Sun Jan 02 2005 Abel Cheung <deaddog@mandrake.org> 0.1.1-1mdk
- First Mandrakelinux package, thanks to the work done by
  Shiva Huang <blueshiva@giga.net.tw>

